/*
** EPITECH PROJECT, 2018
** task01
** File description:
** I do task
*/

#ifndef __MY_STRING_H__
# define __MY_STRING_H__

#include "lib/my_stddef.h"
char *my_strdup(char const *s);
size_t my_strlen(const char *s);
char *my_strdupa(char const *s);
char *my_strndup(char const *s, size_t n);
char *my_strndupa(char const *s, size_t n);
char *my_strcpy(char *dest, char const *src);
char *my_strcat(char *dest, char const *src);
int my_strcmp(const char *s1, const char *s2);
int my_strcoll(const char *s1, const char *s2);
size_t my_strnlen(const char *s, size_t maxlen);
int my_strcoll_l(const char *s1, const char *s2);
char *my_strncpy(char *dest, char const *src, size_t n);
char *my_strncat(char *dest, char const *src, size_t n);
int my_strncmp(const char *s1, const char *s2, size_t n);
char *my_strstr(const char *haystack, const char *needle);
char *my_strcasestr(const char *haystack, const char *needle);

#endif /* MY_STRING */
